package com.uas.account.core;

public enum Status {

	/**
	 * {@code 310 未启用}
	 */
	UNAPPLY(310, "未启用"),
	/**
	 * {@code 311 申请中}
	 */
	UNAUDIT(311, "申请中"),
	/**
	 * {@code 312 未激活}
	 */
	UNACT(312, "未激活"),
	/**
	 * {@code 313 已激活}
	 */
	ENABLED(313, "已激活"),
	/**
	 * {@code 314 已禁用}
	 */
	DISABLED(314, "已禁用"),
	/**
	 * {@code 315 已注销,已取消}
	 */
	CANCELLED(315, "已注销"),
	/**
	 * {@code 400 信息资料还未验证}
	 */
	UNAPPROVED(400, "待验证"),
	/**
	 * {@code 401 信息资料已进行验证，但未通过审核}
	 */
	APPROVED_ERROR(401, "验证不通过"),
	/**
	 * {@code 402 信息资料已验证通过}
	 */
	APPROVED_SUCCESS(402, "已验证");

	private Status(int value, String phrase) {
		this.value = value;
		this.phrase = phrase;
	}

	private final int value;

	private final String phrase;

	/**
	 * @return 状态的整型编码
	 */
	public int value() {
		return this.value;
	}

	/**
	 * @return 状态的描述
	 */
	public String getPhrase() {
		return this.phrase;
	}

}
